<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionSettingSerializationEnum Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('df/dc4/class_expansion_setting_serialization_enum.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionSettingSerializationEnum Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionSettingSerializationEnum:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../df/dc4/class_expansion_setting_serialization_enum.png" usemap="#ExpansionSettingSerializationEnum_map" alt=""/>
  <map id="ExpansionSettingSerializationEnum_map" name="ExpansionSettingSerializationEnum_map">
<area href="../../d3/d2a/class_expansion_setting_serialization_int.html" alt="ExpansionSettingSerializationInt" shape="rect" coords="0,0,208,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:acd9d9db3eed4a4fb6da7335b2df810b7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dc4/class_expansion_setting_serialization_enum.html#acd9d9db3eed4a4fb6da7335b2df810b7">ExpansionSettingSerializationEnum</a> ()</td></tr>
<tr class="separator:acd9d9db3eed4a4fb6da7335b2df810b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a102d1bace8c4a52bb2a865476c06952a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dc4/class_expansion_setting_serialization_enum.html#a102d1bace8c4a52bb2a865476c06952a">~ExpansionSettingSerializationEnum</a> ()</td></tr>
<tr class="separator:a102d1bace8c4a52bb2a865476c06952a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeba1c144a49839b3def269364353f0e5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dc4/class_expansion_setting_serialization_enum.html#aeba1c144a49839b3def269364353f0e5">SetTempValue</a> (string value)</td></tr>
<tr class="separator:aeba1c144a49839b3def269364353f0e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8a59bb78018fa8679de36d1a73df7ef"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dc4/class_expansion_setting_serialization_enum.html#af8a59bb78018fa8679de36d1a73df7ef">SetValue</a> (string value)</td></tr>
<tr class="separator:af8a59bb78018fa8679de36d1a73df7ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9f56b915c3950696c86186cd345293a"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dc4/class_expansion_setting_serialization_enum.html#ab9f56b915c3950696c86186cd345293a">SetValue</a> (int value)</td></tr>
<tr class="separator:ab9f56b915c3950696c86186cd345293a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a7afdc1bc6352838e8cf32ef9045be184"><td class="memItemLeft" align="right" valign="top">ref array&lt; string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dc4/class_expansion_setting_serialization_enum.html#a7afdc1bc6352838e8cf32ef9045be184">m_Values</a></td></tr>
<tr class="separator:a7afdc1bc6352838e8cf32ef9045be184"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../dc/ddb/expansionsettingserializationenum_8c.html">ExpansionSettingSerializationEnum.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../dc/ddb/expansionsettingserializationenum_8c_source.html#l00013">13</a> of file <a class="el" href="../../dc/ddb/expansionsettingserializationenum_8c_source.html">expansionsettingserializationenum.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="acd9d9db3eed4a4fb6da7335b2df810b7" name="acd9d9db3eed4a4fb6da7335b2df810b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd9d9db3eed4a4fb6da7335b2df810b7">&#9670;&#160;</a></span>ExpansionSettingSerializationEnum()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionSettingSerializationEnum::ExpansionSettingSerializationEnum </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/ddb/expansionsettingserializationenum_8c_source.html#l00017">17</a> of file <a class="el" href="../../dc/ddb/expansionsettingserializationenum_8c_source.html">expansionsettingserializationenum.c</a>.</p>

</div>
</div>
<a id="a102d1bace8c4a52bb2a865476c06952a" name="a102d1bace8c4a52bb2a865476c06952a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a102d1bace8c4a52bb2a865476c06952a">&#9670;&#160;</a></span>~ExpansionSettingSerializationEnum()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionSettingSerializationEnum::~ExpansionSettingSerializationEnum </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/ddb/expansionsettingserializationenum_8c_source.html#l00022">22</a> of file <a class="el" href="../../dc/ddb/expansionsettingserializationenum_8c_source.html">expansionsettingserializationenum.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aeba1c144a49839b3def269364353f0e5" name="aeba1c144a49839b3def269364353f0e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeba1c144a49839b3def269364353f0e5">&#9670;&#160;</a></span>SetTempValue()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionSettingSerializationEnum::SetTempValue </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/ddb/expansionsettingserializationenum_8c_source.html#l00027">27</a> of file <a class="el" href="../../dc/ddb/expansionsettingserializationenum_8c_source.html">expansionsettingserializationenum.c</a>.</p>

</div>
</div>
<a id="ab9f56b915c3950696c86186cd345293a" name="ab9f56b915c3950696c86186cd345293a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab9f56b915c3950696c86186cd345293a">&#9670;&#160;</a></span>SetValue() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionSettingSerializationEnum::SetValue </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/ddb/expansionsettingserializationenum_8c_source.html#l00045">45</a> of file <a class="el" href="../../dc/ddb/expansionsettingserializationenum_8c_source.html">expansionsettingserializationenum.c</a>.</p>

</div>
</div>
<a id="af8a59bb78018fa8679de36d1a73df7ef" name="af8a59bb78018fa8679de36d1a73df7ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8a59bb78018fa8679de36d1a73df7ef">&#9670;&#160;</a></span>SetValue() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionSettingSerializationEnum::SetValue </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/ddb/expansionsettingserializationenum_8c_source.html#l00036">36</a> of file <a class="el" href="../../dc/ddb/expansionsettingserializationenum_8c_source.html">expansionsettingserializationenum.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a7afdc1bc6352838e8cf32ef9045be184" name="a7afdc1bc6352838e8cf32ef9045be184"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7afdc1bc6352838e8cf32ef9045be184">&#9670;&#160;</a></span>m_Values</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref array&lt; string &gt; ExpansionSettingSerializationEnum::m_Values</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/ddb/expansionsettingserializationenum_8c_source.html#l00015">15</a> of file <a class="el" href="../../dc/ddb/expansionsettingserializationenum_8c_source.html">expansionsettingserializationenum.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Core/Scripts/3_game/dayzexpansion_core/serialization/<a class="el" href="../../dc/ddb/expansionsettingserializationenum_8c_source.html">expansionsettingserializationenum.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../df/dc4/class_expansion_setting_serialization_enum.html">ExpansionSettingSerializationEnum</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
